package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class LiveGoodsMapperDto {
    @ApiModelProperty(value = "商品编号",required = false)
    private Integer id;

    @ApiModelProperty(value = "商品名称",required = true)
    private String name;

    @ApiModelProperty(value = "展示图片的地址",required = true)
    private String image;

    @ApiModelProperty(value = "库存",required = true)
    private Integer stockCount;

    @ApiModelProperty(value = "现价",required = true)
    private java.math.BigDecimal currentPrice;

    @ApiModelProperty(value = "原价",required = true)
    private java.math.BigDecimal originalPrice;

    @ApiModelProperty(value = "商品详情链接",required = false)
    private String goodsDetailUrl;

    @ApiModelProperty(value = "商品的详细描述",required = false)
    private String desc;

    @ApiModelProperty(value = "状态（1，上下架  0，下架）",required = false)
    private Boolean status = false;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getStockCount() {
        return stockCount;
    }

    public void setStockCount(Integer stockCount) {
        this.stockCount = stockCount;
    }

    public BigDecimal getCurrentPrice() {
        return currentPrice;
    }

    public void setCurrentPrice(BigDecimal currentPrice) {
        this.currentPrice = currentPrice;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public String getGoodsDetailUrl() {
        return goodsDetailUrl;
    }

    public void setGoodsDetailUrl(String goodsDetailUrl) {
        this.goodsDetailUrl = goodsDetailUrl;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }
}
